Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037641
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. Platformminorhave not tried2018-01-15 17:352018-02-22 18:18
ReporterAugustoMauchView Statuspublic 
Assigned ToAugustoMauch 
PrioritynormalResolutionfixedFixed in Version3.0PR18Q2
StatusclosedFix in branchFixed in SCM revisionde556f74afd6
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037641: Make the max size of Hibernate's HqlQueryPlan cache configurable

DescriptionThe QueryPlanCache Hibernate class acts as a cache for compiled query plans. Having this cache properly dimentioned helps to optimize Hibernate's performace.

There are two parameters that can be configured: one for the maximum number of strong references (128 by default) and one for soft references (2048 by default). But these parameters are currently not configurable in Openbravo.


It would be useful if the dimension of this cache were configurable in Openbravo.properties.
Steps To Reproduce-
Proposed SolutionAllow to configure Hibernate's query plan cache size in Openbravo properties with the parameters hibernate.query.plan_cache_max_strong_references and hibernate.query.plan_cache_max_soft_references
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0038136 acknowledgedplatform Tracking issue: Find & Fix queries not using bind-params but embedding values into query string 
related to feature request 0037064 closedcaristu upgrade hibernate 

-  Notes
(0101709)
hgbot (developer)
2018-01-15 17:41

Repository: erp/devel/pi
Changeset: de556f74afd615d9666c059d1869fdb6057e7319
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Mon Jan 15 17:40:00 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/de556f74afd615d9666c059d1869fdb6057e7319 [^]

Fixes issue 37641: Allows to configure Hibernate's hql query plan cache size

Now the max size of Hibernate's HQL query plan cache can be configured in Openbravo.properties by defining the
hibernate.query.plan_cache_max_strong_references and hibernate.query.plan_cache_max_soft_references properties.

---
M src/org/openbravo/base/session/SessionFactoryController.java
---
(0101828)
caristu (developer)
2018-01-22 11:32

Code reviewed + tested OK.
(0102657)
hudsonbot (developer)
2018-02-22 18:18

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/980a6ad5bbf5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-01-15 17:35 AugustoMauch New Issue
2018-01-15 17:35 AugustoMauch Assigned To => AugustoMauch
2018-01-15 17:35 AugustoMauch Modules => Core
2018-01-15 17:35 AugustoMauch Triggers an Emergency Pack => No
2018-01-15 17:38 AugustoMauch Review Assigned To => caristu
2018-01-15 17:41 hgbot Checkin
2018-01-15 17:41 hgbot Note Added: 0101709
2018-01-15 17:41 hgbot Status new => resolved
2018-01-15 17:41 hgbot Resolution open => fixed
2018-01-15 17:41 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/de556f74afd615d9666c059d1869fdb6057e7319 [^]
2018-01-19 07:58 alostale Tag Attached: Performance
2018-01-22 11:32 caristu Note Added: 0101828
2018-01-22 11:32 caristu Status resolved => closed
2018-01-22 11:32 caristu Fixed in Version => 3.0PR18Q2
2018-02-22 18:18 hudsonbot Checkin
2018-02-22 18:18 hudsonbot Note Added: 0102657
2018-03-16 10:01 alostale Relationship added related to 0038136
2018-05-03 10:38 caristu Relationship added related to 0037064


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker